# class SafeSite.Agent

###

Table of contents
Modules
kio Classes
All Classes

Module | kio
Namespace | safesite
Class | SafeSite.Agent
Inherits |

### methods

- Agent ()

  returns nothing

- obtainReport (url)

  returns (SafeSite.Report)
  static

  Argument | Type | Default
  --- | --- | ---
  url | KUrl |

- serviceInfo (service)

  returns (SafeSite.ServiceInfo)
  static

  Argument | Type | Default
  --- | --- | ---
  service | QString |

- services ()

  returns (QStringList)
  static

- ~Agent ()

  returns nothing